## taskcoach 1.3.31

=== Makefile ===
# Task Coach - Your friendly task manager
# Copyright (C) 2004-2013 Task Coach developers <developers@taskcoach.org>
# 
# Task Coach is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Task Coach is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# Makefile to create binary and source distributions and generate the 
# simple website (intermediate files are in ./build, distributions are
# put in ./dist, the files for the website end up in ./website.out)

DOT="dot"       # dot should be on the path

# Python should be on the path. On 64 bits Mac OS X, use the 32-bits version
# (wx only works in 32 bits mode and the environment/default write trick to
# make it the default does not seem to work on Lion).

ifeq "$(shell uname -sm)" "Darwin x86_64"
    PYTHON?="python-32"
else
    PYTHON?="python"
endif

ifeq (CYGWIN_NT,$(findstring CYGWIN_NT,$(shell uname)))
    INNOSETUP="/cygdrive/c/Program Files/Inno Setup 5/ISCC.exe"
    PORTABLEAPPSINSTALLER="/cygdrive/c/Program Files/PortableApps.comInstaller/PortableApps.comInstaller.exe"
    EPYDOC=$(PYTHON) $(shell python -c "import os, sys; print \"'\" + os.path.join(os.path.split(sys.executable)[0], 'Scripts', 'epydoc.py') + \"'\"")
else
    EPYDOC="epydoc"
endif

TCVERSION=$(shell python -c "import taskcoachlib.meta.data as data; print data.version")
TCPORTABLE=$(shell python -c "import os; print \"'\" + os.path.join(os.getcwd(), 'build', 'TaskCoachPortable') + \"'\"")

ifeq ($(PGPID)x,x)
PGPID=a3e41706
endif

revision:
	echo "revision='$(TCREV)'" > taskcoachlib/meta/revision.py

prepare: thirdpartymodules icons i18n templates

windists: windist winpenpack portableapps sdist_windows

windist: py2exe
	$(INNOSETUP) build/taskcoach.iss

py2exe: prepare
	$(PYTHON) make.py py2exe

sdist_windows: prepare changes templates dist/TaskCoach-$(TCVERSION).zip

dist/TaskCoach-$(TCVERSION).zip:
	$(PYTHON) make.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in

sdist_linux: prepare changes templates dist/TaskCoach-$(TCVERSION).tar.gz

sdist_ubuntu: sdist_linux
	# Launchpad does not support one size fits all packages...
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~quantal.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu13~raring.tar.gz

sdist_raw:
	mkdir -p dist
	cp -a . ../tmp-sdist
	cd ../tmp-sdist; make nuke; find . -name ".svn" | xargs -d '\n' rm -rf
	mv ../tmp-sdist dist/TaskCoach-$(TCVERSION)
	cd dist; tar czf TaskCoach-$(TCVERSION)-raw.tgz TaskCoach-$(TCVERSION); rm -rf TaskCoach-$(TCVERSION)

dist/TaskCoach-$(TCVERSION).tar.gz:
	$(PYTHON) make.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
	echo Created dist/TaskCoach-$(TCVERSION).tar.gz

rpm: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) make.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
	rm MANIFEST.in

fedora: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) make.py bdist_rpm_fedora
	rm MANIFEST.in

opensuse: sdist_linux
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) make.py bdist_rpm_opensuse 
	mv dist/taskcoach-$(TCVERSION)-1.noarch.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.i386.rpm
	mv dist/taskcoach-$(TCVERSION)-1.src.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.src.rpm

deb: sdist_linux
	mv dist/TaskCoach-$(TCVERSION).tar.gz dist/TaskCoach_$(TCVERSION).tar.gz
	LC_ALL=C $(PYTHON) make.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
	mv dist/taskcoach_$(TCVERSION)-1_all.deb dist/taskcoach_$(TCVERSION)-1.deb

ubuntu: sdist_ubuntu
	LC_ALL=C $(PYTHON) make.py bdist_ubuntu lucid 10 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
	mv build build-lucid
	LC_ALL=C $(PYTHON) make.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	mv build build-precise
	LC_ALL=C $(PYTHON) make.py bdist_ubuntu quantal 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~quantal.tar.gz
	mv build build-quantal
	LC_ALL=C $(PYTHON) make.py bdist_ubuntu raring 13 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu13~raring.tar.gz
	mv build build-raring

ppa-sign: ubuntu
	cd build-lucid; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
	cd build-precise; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
	cd build-quantal; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
	cd build-raring; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes

ppa-rel: ppa-sign
	cd build-lucid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
	cd build-precise; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
	cd build-quantal; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
	cd build-raring; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes

ppa-relnext: ppa-sign
	cd build-lucid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
	cd build-precise; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
	cd build-quantal; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
	cd build-raring; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes

ppa-release: ppa-sign
	cd build-lucid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
	cd build-precise; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
	cd build-quantal; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
	cd build-raring; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes

app: prepare
	$(PYTHON) make.py py2app
	chmod 644 "build/Task Coach/TaskCoach.app/Contents/Resources/taskcoach.py"

dmg-goodies: app
	mkdir "build/Task Coach/.Resources"
	cp -f dist.in/macos/dmg-background.png "build/Task Coach/.Resources/"
	cp -f dist.in/macos/config "build/Task Coach/.DS_Store"
	ln -s /Applications "build/Task Coach/Applications"

dmgbase:
	hdiutil create -ov -imagekey zlib-level=9 -fs "HFS+" -srcfolder "build/Task Coach" dist/TaskCoach-$(TCVERSION).dmg

dmg: dmg-goodies dmgbase

dmg-signed: dmg-goodies
	codesign -f -s "Developer ID Application" -r='designated => certificate leaf[field.1.2.840.113635.100.6.1.13] and identifier "org.pythonmac.unspecified.TaskCoach"' "build/Task Coach/TaskCoach.app"
	make dmgbase

winpenpack: py2exe 
	$(PYTHON) make.py bdist_winpenpack

portableapps: py2exe
	$(PYTHON) make.py bdist_portableapps
	$(PORTABLEAPPSINSTALLER) $(TCPORTABLE)
	mv build/TaskCoachPortable_$(TCVERSION).paf.exe dist

icons: taskcoachlib/gui/icons.py

templates: taskcoachlib/persistence/xml/templates.py

thirdpartymodules:
	cd thirdparty; tar xzf APScheduler-2.0.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty APScheduler-2.0.3/apscheduler
	cd thirdparty; tar xzf chardet-2.1.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty chardet-2.1.1/chardet
	cd thirdparty; tar xzf python-dateutil-1.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-dateutil-1.5/dateutil
	cd thirdparty; tar xzf desktop-0.4.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty desktop-0.4.1/desktop
	cd thirdparty; tar xzf keyring-0.9.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-0.9.2/keyring
	cd thirdparty; tar xzf lockfile-0.8.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.8/lockfile.py
	cd thirdparty; tar xzf PyPubSub-3.1.2.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-3.1.2/src/pubsub
	cd thirdparty; tar xzf SquareMap-1.0.1b3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.1b3/squaremap
	cd thirdparty; tar xzf python-ntlm-40080cff37ab32570f9bb50bad0a46b957409c18.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-ntlm/ntlm
	cd thirdparty; tar xzf wxScheduler-r150.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty wxScheduler/wxScheduler
	cd thirdparty; tar xzf aui-r72315.tar.gz -C ../taskcoachlib/thirdparty
	cd thirdparty; tar xzf WMI-1.4.9.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty WMI-1.4.9/wmi.py
	cd thirdparty; tar xzf pyparsing-1.5.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyparsing-1.5.5/pyparsing_py2.py
	mv taskcoachlib/thirdparty/pyparsing_py2.py taskcoachlib/thirdparty/pyparsing.py
	cd thirdparty; tar xzf pybonjour-1.1.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pybonjour-1.1.1/pybonjour.py
	cd thirdparty; tar xzf agw-r70845.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/customtreectrl.py
	cd thirdparty; tar xzf agw-r70819.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/hypertreelist.py
	cd thirdparty; tar xzf gntp-d639fa2e981fe41196a5115ad64320b5061f004b.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty gntp/gntp
	cd thirdparty; tar xzf pyxdg-0.25.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyxdg-0.25/xdg
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/APScheduler.diff
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/lockfile.diff
	cd taskcoachlib/thirdparty/pubsub; patch -p1 < ../../../thirdparty/patches/pubsub.diff
	cd taskcoachlib/thirdparty/squaremap; patch -p1 < ../../../thirdparty/patches/squaremap.diff
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist-headers.diff
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist.diff
	$(PYTHON) fixinit.py

taskcoachlib/gui/icons.py: icons.in/iconmap.py icons.in/nuvola.zip icons.in/splash.png
	cd icons.in; $(PYTHON) make.py

taskcoachlib/persistence/xml/templates.py:
	cd templates.in; $(PYTHON) make.py

website: changes
	cd website.in; $(PYTHON) make.py; cd ..
	$(PYTHON) tools/webchecker.py website.out/index.html

epydoc:
	$(EPYDOC) --parse-only -v --simple-term -o epydoc.out taskcoachlib taskcoach.py

dot:
	$(PYTHON) tools/dot.py taskcoachlib/gui/viewer > doc/viewer.dot
	$(PYTHON) tools/dot.py taskcoachlib/gui/dialog > doc/dialog.dot
	$(DOT) -Tpng -Kdot -O doc/*.dot

i18n: templates taskcoachlib/i18n/nl.py

taskcoachlib/i18n/nl.py: i18n.in/messages.pot $(shell find i18n.in -name '*.po')
	cd i18n.in; $(PYTHON) make.py

i18n.in/messages.pot: $(shell find taskcoachlib -name '*.py' | grep -v i18n)
	$(PYTHON) tools/pygettext.py --output-dir i18n.in taskcoachlib

changes:
	$(PYTHON) changes.in/make.py text > CHANGES.txt
	$(PYTHON) changes.in/make.py debian > changelog_content
	$(PYTHON) changes.in/make.py html 7 > website.in/changes.html
	$(PYTHON) changes.in/make.py html > website.in/all_changes.html

unittests: thirdpartymodules icons templates
	cd tests; $(PYTHON) test.py --unittests

integrationtests: thirdpartymodules icons templates
	cd tests; $(PYTHON) test.py --integrationtests

=== debian/changelog ===
taskcoach (1.3.31-1) unstable; urgency=low

  * New upstream release. Rebuild Closes: #719204.
  * control: Suggest python-kde4. Less strict dependencies:
    python >= 2.7 -> 2.6,  libavahi-compat-libdnssdl Depends -> Recommends.
  * copyright: dates, comments.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 09 Aug 2013 17:35:26 +0200

taskcoach (1.3.29-1) unstable; urgency=low

  * Initial release (Closes: #509768).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 Jan 2013 20:01:56 +0100

=== debian/control ===
Source: taskcoach
Section: utils
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9),
 python (>= 2.6),
# python-wxgtk2.8 (>= 2.8.9.2-unicode) should be sufficient, but
# patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
 python-wxgtk2.8 (>= 2.8.12.1-13),
# See debian/taskcoach.linktrees:
 dh-linktree,
 python-chardet,
 python-keyring,
 python-lockfile,
 python-pyparsing,
 python-dateutil,
 python-squaremap,
 python-xdg,
# See debian/rules:
 graphicsmagick
Standards-Version: 3.9.4
Homepage: http://www.taskcoach.org
X-Python-Version: >= 2.7
VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git

Package: taskcoach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
# See buildlib/bdist_deb.py:
 python-wxversion (>= 2.8.9.2-unicode),
 libxss1,
 fonts-dejavu
Recommends: python-notify, libgnome2-0, libavahi-compat-libdnssd1
Suggests: espeak, python-kde4
Description: friendly task manager
 Task Coach is a friendly open source todo manager to manage personal
 tasks and todo lists. It supports composite tasks, i.e. tasks within
 tasks. In addition, Task Coach allows you to categorize your tasks,
 track effort against a budget per task, and much more. Task Coach is
 available for Windows, Mac OS X, BSD, Linux, iPhone and iPad.
 .
 Your database may be synchronized across these platforms. If espeak
 is installed, reminders can be spoken.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE := 1

build build-arch build-indep binary binary-arch binary-indep clean:
	dh $@ --with python2 --with linktree

# Tell each dh_auto_* tool which buildsystem is needed.
override_dh_auto_clean:: override_%:
	$* --buildsystem=makefile -- reallyclean
override_dh_auto_build: override_%:
	$* --buildsystem=makefile -- prepare
	$* --buildsystem=python_distutils
override_dh_auto_install:: override_%:
	$* --buildsystem=python_distutils

# Translate upstream changelog to text for dh_installchangelogs.
# Upstream "make clean" will remove it.
CHANGES.txt:
	python changes.in/make.py text > $@
override_dh_auto_build: CHANGES.txt

# Files extracted from thirdparty tarballs by "make prepare" should be
# deleted with "make nuke", but upstream implementation uses the local
# subversion repository so we have to do an ugly explicit list.
# Note that thirdparty libraries may also affect
# debian/control:Build-Depends, debian/taskcoach.linktrees and
# debian/copyright.
override_dh_auto_clean::
	rm -f    taskcoachlib/persistence/xml/templates.py
	rm -f -r taskcoachlib/thirdparty/apscheduler
	rm -f -r taskcoachlib/thirdparty/aui
	rm -f -r taskcoachlib/thirdparty/chardet
	rm -f    taskcoachlib/thirdparty/customtreectrl.py
	rm -f -r taskcoachlib/thirdparty/dateutil
	rm -f -r taskcoachlib/thirdparty/desktop
	rm -f -r taskcoachlib/thirdparty/gntp
	rm -f    taskcoachlib/thirdparty/hypertreelist.py
	rm -f -r taskcoachlib/thirdparty/keyring
	rm -f    taskcoachlib/thirdparty/lockfile.py
	rm -f -r taskcoachlib/thirdparty/ntlm
	rm -f -r taskcoachlib/thirdparty/pubsub
	rm -f    taskcoachlib/thirdparty/pybonjour.py
	rm -f    taskcoachlib/thirdparty/pyparsing.py
	rm -f -r taskcoachlib/thirdparty/squaremap
	rm -f    taskcoachlib/thirdparty/wmi.py
	rm -f -r taskcoachlib/thirdparty/wxScheduler
	rm -f -r taskcoachlib/thirdparty/xdg

# Generated file, removed by dfsg_cleaner. See there for details.
override_dh_auto_clean::
	rm -f i18n.in/messages.pot

# Provide an icon for the menu file.
XPM_ICON := icons.in/taskcoach.xpm
$(XPM_ICON): %.xpm: %.png
	gm convert $< $@
override_dh_auto_build: $(XPM_ICON)
override_dh_auto_install::
	dh_install $(XPM_ICON) usr/share/pixmaps
override_dh_auto_clean::
	rm -f $(XPM_ICON)

# Upstream provides the main executable with a .py suffix.
EXE_DIR := debian/taskcoach/usr/bin
DESKTOP := debian/taskcoach/usr/share/applications/taskcoach.desktop
override_dh_auto_install::
	cd $(EXE_DIR) && mv taskcoach.py taskcoach
	sed --in-place s/Exec=taskcoach.py/Exec=taskcoach/ $(DESKTOP)

# Upstream provided XPM is too large for Debian standards (48x48).
MENU_ICON := debian/taskcoach/usr/share/pixmaps/taskcoach.xpm
override_dh_auto_install::
	gm convert -resize 32x32 $(MENU_ICON) $(MENU_ICON).tmp
	mv -f $(MENU_ICON).tmp $(MENU_ICON)

# Avoid compressing the TODO list, provided in the taskcoach format.
override_dh_compress:
	dh_compress -Xusr/share/doc/taskcoach/TODO.tsk

## taskcoach 1.3.32

=== debian/changelog ===
taskcoach (1.3.32-1) unstable; urgency=low

  * New upstream release.
  * Replace dh_linktree with a patch importing packaged python modules, when
    possible. Depends are less strict about versions. Closes: #721851.
    Links are kept for pubsub and apscheduler.
  * control: adapt X-Python-Version to Build-Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Sep 2013 14:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,34 @@
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: debhelper (>= 9),
- python (>= 2.6),
-# python-wxgtk2.8 (>= 2.8.9.2-unicode) should be sufficient, but
+# This should be repeated as X-Python-Version below.
+# 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
+ python (>= 2.6.6-3~),
 # patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
  python-wxgtk2.8 (>= 2.8.12.1-13),
-# See debian/taskcoach.linktrees:
+# See debian/copyright:
  dh-linktree,
- python-chardet,
- python-keyring,
- python-lockfile,
- python-pyparsing,
- python-dateutil,
- python-squaremap,
- python-xdg,
+ python-apscheduler (>= 2.0.3),
 # See debian/rules:
  graphicsmagick
 Standards-Version: 3.9.4
 Homepage: http://www.taskcoach.org
-X-Python-Version: >= 2.7
+X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
 
 Package: taskcoach
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
+# See debian/copyright
+ python-chardet (>= 2.0.1),
+ python-dateutil (>= 1.5),
+ python-keyring (>= 0.9.2),
+ python-pyparsing (>= 1.5.5),
+ python-squaremap (>= 1.0.2),
+ python-xdg (>= 0.25),
 # See buildlib/bdist_deb.py:
+ python-wxgtk2.8 (>= 2.8.9.2-unicode),
  python-wxversion (>= 2.8.9.2-unicode),
  libxss1,
  fonts-dejavu

## taskcoach 1.3.33

=== Makefile ===
--- 
+++ 
@@ -177,7 +177,7 @@
 	cd thirdparty; tar xzf desktop-0.4.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty desktop-0.4.1/desktop
 	cd thirdparty; tar xzf keyring-0.9.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-0.9.2/keyring
 	cd thirdparty; tar xzf lockfile-0.8.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.8/lockfile.py
-	cd thirdparty; tar xzf PyPubSub-3.1.2.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-3.1.2/src/pubsub
+	cd thirdparty; tar xzf PyPubSub-r303.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-r303/src/pubsub
 	cd thirdparty; tar xzf SquareMap-1.0.1b3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.1b3/squaremap
 	cd thirdparty; tar xzf python-ntlm-40080cff37ab32570f9bb50bad0a46b957409c18.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-ntlm/ntlm
 	cd thirdparty; tar xzf wxScheduler-r150.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty wxScheduler/wxScheduler
@@ -192,7 +192,6 @@
 	cd thirdparty; tar xzf pyxdg-0.25.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyxdg-0.25/xdg
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/APScheduler.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/lockfile.diff
-	cd taskcoachlib/thirdparty/pubsub; patch -p1 < ../../../thirdparty/patches/pubsub.diff
 	cd taskcoachlib/thirdparty/squaremap; patch -p1 < ../../../thirdparty/patches/squaremap.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist-headers.diff
@@ -237,3 +236,6 @@
 integrationtests: thirdpartymodules icons templates
 	cd tests; $(PYTHON) test.py --integrationtests
 
+languagetests: thirdpartymodules icons i18n
+	cd tests; $(PYTHON) test.py --languagetests
+

=== docs/newdocs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyPubSub.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyPubSub.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyPubSub"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyPubSub"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
taskcoach (1.3.33-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.5 without changes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Nov 2013 02:07:58 +0100

taskcoach (1.3.32-2) unstable; urgency=low

  * patches/replace_thirdparty..: absolute import instead of hard-coded path.
    Correct import of combotreebox in entry.py.
    Bug reported upstream at http://sourceforge.net/p/taskcoach/bugs/1462/.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Oct 2013 15:27:58 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-apscheduler (>= 2.0.3),
 # See debian/rules:
  graphicsmagick
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.taskcoach.org
 X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git

=== debian/rules ===
--- 
+++ 
@@ -23,29 +23,19 @@
 # Files extracted from thirdparty tarballs by "make prepare" should be
 # deleted with "make nuke", but upstream implementation uses the local
 # subversion repository so we have to do an ugly explicit list.
-# Note that thirdparty libraries may also affect
-# debian/control:Build-Depends, debian/taskcoach.linktrees and
-# debian/copyright.
+# Information about thirdparty is centralized in debian/copyright.
 override_dh_auto_clean::
-	rm -f    taskcoachlib/persistence/xml/templates.py
 	rm -f -r taskcoachlib/thirdparty/apscheduler
-	rm -f -r taskcoachlib/thirdparty/aui
-	rm -f -r taskcoachlib/thirdparty/chardet
 	rm -f    taskcoachlib/thirdparty/customtreectrl.py
-	rm -f -r taskcoachlib/thirdparty/dateutil
 	rm -f -r taskcoachlib/thirdparty/desktop
 	rm -f -r taskcoachlib/thirdparty/gntp
 	rm -f    taskcoachlib/thirdparty/hypertreelist.py
-	rm -f -r taskcoachlib/thirdparty/keyring
 	rm -f    taskcoachlib/thirdparty/lockfile.py
 	rm -f -r taskcoachlib/thirdparty/ntlm
 	rm -f -r taskcoachlib/thirdparty/pubsub
 	rm -f    taskcoachlib/thirdparty/pybonjour.py
-	rm -f    taskcoachlib/thirdparty/pyparsing.py
-	rm -f -r taskcoachlib/thirdparty/squaremap
 	rm -f    taskcoachlib/thirdparty/wmi.py
 	rm -f -r taskcoachlib/thirdparty/wxScheduler
-	rm -f -r taskcoachlib/thirdparty/xdg
 
 # Generated file, removed by dfsg_cleaner. See there for details.
 override_dh_auto_clean::

## taskcoach 1.3.34

=== Makefile ===
--- 
+++ 
@@ -196,6 +196,7 @@
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist-headers.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist.diff
+	cd taskcoachlib/thirdparty; patch -p2 < ../../thirdparty/patches/pypubsub.diff
 	$(PYTHON) fixinit.py
 
 taskcoachlib/gui/icons.py: icons.in/iconmap.py icons.in/nuvola.zip icons.in/splash.png
@@ -236,6 +237,3 @@
 integrationtests: thirdpartymodules icons templates
 	cd tests; $(PYTHON) test.py --integrationtests
 
-languagetests: thirdpartymodules icons i18n
-	cd tests; $(PYTHON) test.py --languagetests
-

=== debian/changelog ===
taskcoach (1.3.34-1) unstable; urgency=low

  * New upstream release.
  * copyright, dfsg_cleaner: update format URL, gather documentation.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Dec 2013 10:56:31 +0100

## taskcoach 1.3.36

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Task Coach - Your friendly task manager
-# Copyright (C) 2004-2013 Task Coach developers <developers@taskcoach.org>
+# Copyright (C) 2004-2014 Task Coach developers <developers@taskcoach.org>
 # 
 # Task Coach is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -71,7 +71,7 @@
 	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
 	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
 	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~quantal.tar.gz
-	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu13~raring.tar.gz
+	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu13~saucy.tar.gz
 
 sdist_raw:
 	mkdir -p dist
@@ -112,32 +112,52 @@
 	mv build build-precise
 	LC_ALL=C $(PYTHON) make.py bdist_ubuntu quantal 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~quantal.tar.gz
 	mv build build-quantal
-	LC_ALL=C $(PYTHON) make.py bdist_ubuntu raring 13 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu13~raring.tar.gz
-	mv build build-raring
-
-ppa-sign: ubuntu
+	LC_ALL=C $(PYTHON) make.py bdist_ubuntu saucy 13 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu13~saucy.tar.gz
+	mv build build-saucy
+
+ppa_sign: ubuntu
 	cd build-lucid; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
 	cd build-precise; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
 	cd build-quantal; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
-	cd build-raring; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes
-
-ppa-rel: ppa-sign
+	cd build-saucy; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu13~saucy-1_source.changes
+
+# Split PPA by version because the upload has a tendency to fail so the buildbot must retry
+
+ppa_rel_lucid:
 	cd build-lucid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
+
+ppa_rel_precise:
 	cd build-precise; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
+
+ppa_rel_quantal:
 	cd build-quantal; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
-	cd build-raring; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes
-
-ppa-relnext: ppa-sign
+
+ppa_rel_saucy:
+	cd build-saucy; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu13~saucy-1_source.changes
+
+ppa_relnext_lucid:
 	cd build-lucid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
+
+ppa_relnext_precise:
 	cd build-precise; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
+
+ppa_relnext_quantal:
 	cd build-quantal; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
-	cd build-raring; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes
-
-ppa-release: ppa-sign
+
+ppa_relnext_saucy:
+	cd build-saucy; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu13~saucy-1_source.changes
+
+ppa_release_lucid:
 	cd build-lucid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
+
+ppa_release_precise:
 	cd build-precise; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
+
+ppa_release_quantal:
 	cd build-quantal; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
-	cd build-raring; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes
+
+ppa_release_saucy:
+	cd build-saucy; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu13~saucy-1_source.changes
 
 app: prepare
 	$(PYTHON) make.py py2app
@@ -171,14 +191,13 @@
 templates: taskcoachlib/persistence/xml/templates.py
 
 thirdpartymodules:
-	cd thirdparty; tar xzf APScheduler-2.0.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty APScheduler-2.0.3/apscheduler
 	cd thirdparty; tar xzf chardet-2.1.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty chardet-2.1.1/chardet
 	cd thirdparty; tar xzf python-dateutil-1.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-dateutil-1.5/dateutil
 	cd thirdparty; tar xzf desktop-0.4.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty desktop-0.4.1/desktop
-	cd thirdparty; tar xzf keyring-0.9.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-0.9.2/keyring
+	cd thirdparty; tar xzf keyring-3.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-3.3/keyring
 	cd thirdparty; tar xzf lockfile-0.8.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.8/lockfile.py
-	cd thirdparty; tar xzf PyPubSub-r303.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-r303/src/pubsub
-	cd thirdparty; tar xzf SquareMap-1.0.1b3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.1b3/squaremap
+	cd thirdparty; tar xzf PyPubSub-3.3.0.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-3.3.0/src/pubsub
+	cd thirdparty; tar xzf SquareMap-1.0.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.3/squaremap
 	cd thirdparty; tar xzf python-ntlm-40080cff37ab32570f9bb50bad0a46b957409c18.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-ntlm/ntlm
 	cd thirdparty; tar xzf wxScheduler-r150.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty wxScheduler/wxScheduler
 	cd thirdparty; tar xzf aui-r72315.tar.gz -C ../taskcoachlib/thirdparty
@@ -190,13 +209,12 @@
 	cd thirdparty; tar xzf agw-r70819.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/hypertreelist.py
 	cd thirdparty; tar xzf gntp-d639fa2e981fe41196a5115ad64320b5061f004b.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty gntp/gntp
 	cd thirdparty; tar xzf pyxdg-0.25.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyxdg-0.25/xdg
-	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/APScheduler.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/lockfile.diff
-	cd taskcoachlib/thirdparty/squaremap; patch -p1 < ../../../thirdparty/patches/squaremap.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist-headers.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist.diff
 	cd taskcoachlib/thirdparty; patch -p2 < ../../thirdparty/patches/pypubsub.diff
+	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/desktop-exo-open.diff
 	$(PYTHON) fixinit.py
 
 taskcoachlib/gui/icons.py: icons.in/iconmap.py icons.in/nuvola.zip icons.in/splash.png

=== debian/changelog ===
taskcoach (1.3.36-1ubuntu3) trusty; urgency=medium

  * Let the autopkg test depend on language-pack-en too.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 10:29:48 +0200

taskcoach (1.3.36-1ubuntu1) trusty; urgency=medium

  * Build-depend on language-pack-en.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 08:40:50 +0100

taskcoach (1.3.36-1) unstable; urgency=medium

  * New upstream release. Closes: #738435.
    No need for apscheduler/dh_linktree anymore.
  * Run all upstream unit tests.
    patches/disable_loadtest.diff: removes a crashing integration test.
  * Compress DFSG tarball with xz instead of bz2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Mar 2014 14:00:53 +0100

taskcoach (1.3.35-1) unstable; urgency=medium

  * New upstream release. Rebuild closes: #737604.
  * Exclude unused thirdparties from repackaged upstream.
  * Run upstream integration tests, both in rules and tests/control.
    Many Build-Depends added by the tests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Feb 2014 22:18:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,32 @@
 Section: utils
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends-Indep: debhelper (>= 9),
 # This should be repeated as X-Python-Version below.
 # 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
  python (>= 2.6.6-3~),
 # patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
  python-wxgtk2.8 (>= 2.8.12.1-13),
-# See debian/copyright:
- dh-linktree,
- python-apscheduler (>= 2.0.3),
 # See debian/rules:
- graphicsmagick
+ graphicsmagick,
+# Unit tests have the same dependencies than the installed package.
+ python-chardet (>= 2.0.1),
+ python-dateutil (>= 1.5),
+ python-keyring (>= 0.9.2),
+ python-pyparsing (>= 1.5.5),
+ python-squaremap (>= 1.0.2),
+ python-xdg (>= 0.25),
+ python-wxversion (>= 2.8.9.2-unicode),
+ libxss1,
+ fonts-dejavu,
+# See tests/control.
+ hicolor-icon-theme, language-pack-en | locales-all, x11-utils, xauth, xvfb
 Standards-Version: 3.9.5
 Homepage: http://www.taskcoach.org
 X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
+XS-Testsuite: autopkgtest
 
 Package: taskcoach
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,11 @@
 
 # export DH_VERBOSE := 1
 
-build build-arch build-indep binary binary-arch binary-indep clean:
-	dh $@ --with python2 --with linktree
+POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
+ build-indep clean
+.PHONY: $(POLICY_TARGETS)
+$(POLICY_TARGETS):
+	dh $@ --with python2
 
 # Tell each dh_auto_* tool which buildsystem is needed.
 override_dh_auto_clean:: override_%:
@@ -13,6 +16,12 @@
 	$* --buildsystem=python_distutils
 override_dh_auto_install:: override_%:
 	$* --buildsystem=python_distutils
+
+override_dh_auto_test:
+	rm -fr tests_tmp
+	ADTTMP=. sh debian/tests/unittests
+override_dh_auto_clean::
+	rm -rf tests_tmp
 
 # Translate upstream changelog to text for dh_installchangelogs.
 # Upstream "make clean" will remove it.
@@ -25,7 +34,6 @@
 # subversion repository so we have to do an ugly explicit list.
 # Information about thirdparty is centralized in debian/copyright.
 override_dh_auto_clean::
-	rm -f -r taskcoachlib/thirdparty/apscheduler
 	rm -f    taskcoachlib/thirdparty/customtreectrl.py
 	rm -f -r taskcoachlib/thirdparty/desktop
 	rm -f -r taskcoachlib/thirdparty/gntp

=== debian/tests/control ===
Tests: unittests
Depends: @,
# avoids a gtk-warning on stderr
 hicolor-icon-theme,
# Some tests need en_US.utf8.
 language-pack-en | locales-all,
# xprop
 x11-utils,
# xauth
 xauth,
# xvfb-run (needs xauth, read /usr/bin/xvfb-run)
 xvfb

=== debian/watch ===
version=3

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.

# This may induce a delay between sourceforge publishing a file and
# uscan knowing about it. Last line of
# http://qa.debian.org/watch/sf.php/taskcoach mentions the date of the
# last database update.

http://sf.net/taskcoach/TaskCoach-(.+)-raw\.tgz
